# ip.h File Reference

`#include "lwip/debug.h"`
`#include "lwip/def.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/err.h"`
`#include "lwip/netif.h"`

Go to the source code of this file.

## Data Structures

struct | ip_hdr

## Defines

#define | IP_HLEN 40
#define | IP_PROTO_ICMP 58
#define | IP_PROTO_UDP 17
#define | IP_PROTO_UDPLITE 170
#define | IP_PROTO_TCP 6
#define | IP_HDRINCL NULL

## Functions

void | ip_init (void)
netif * | ip_route (struct ip_addr *dest)
void | ip_input (struct pbuf *p, struct netif *inp)
err_t | ip_output (struct pbuf *p, struct ip_addr *src, struct ip_addr *dest, unsigned char ttl, unsigned char proto)
err_t | ip_output_if (struct pbuf *p, struct ip_addr *src, struct ip_addr *dest, unsigned char ttl, unsigned char proto, struct netif *netif)

## Define Documentation

#define IP_HDRINCL NULL

#define IP_HLEN 40

#define IP_PROTO_ICMP 58

#define IP_PROTO_TCP 6

#define IP_PROTO_UDP 17

#define IP_PROTO_UDPLITE 170

## Function Documentation

void ip_init | ( | void |  | ) |

void ip_input | ( | struct pbuf * | p,
|  | struct netif * | inp
| ) |

err_t ip_output | ( | struct pbuf * | p,
|  | struct ip_addr * | src,
|  | struct ip_addr * | dest,
|  | unsigned char | ttl,
|  | unsigned char | proto
| ) |

err_t ip_output_if | ( | struct pbuf * | p,
|  | struct ip_addr * | src,
|  | struct ip_addr * | dest,
|  | unsigned char | ttl,
|  | unsigned char | proto,
|  | struct netif * | netif
| ) |

struct netif* ip_route | ( | struct ip_addr * | dest | ) |